Name:   anydesk
Version:        6.3.0
Release:        alt1
Group:          Communications
License:        AnyDesk Terms and Conditions
URL:            https://anydesk.com
Summary:        Discover AnyDesk - The Linux Remote Desktop App
Source:         %{name}-%{version}.tgz

Requires: libminizip
Requires: libgtkglext
Requires: libpangox1.0-compat

BuildRequires:  rpm-macros-systemd rpm-build-systemd rpm-macros-fedora-compat

%description
AnyDesk provides powerful Linux-based connectivity for smooth and seamless 
remote access to any computer. Whether as an individual, or as a professional 
organization offering remote support to customers, AnyDesk is made for easy 
operation and solid remote connectivity.

%prep

%setup

%install
mkdir -p %buildroot/opt/%name
mkdir -p %buildroot/%_desktopdir
mkdir -p %buildroot/%_unitdir
mkdir -p %buildroot/%_datadir/polkit-1/actions/
mkdir -p %buildroot/%_iconsdir/hicolor/{256x256,32x32,16x16,48x48,24x24,scalable}/apps

cp icons/hicolor/16x16/apps/%{name}.png %buildroot/%_iconsdir/hicolor/16x16/apps/%{name}.png
cp icons/hicolor/24x24/apps/%{name}.png %buildroot/%_iconsdir/hicolor/24x24/apps/%{name}.png
cp icons/hicolor/32x32/apps/%{name}.png %buildroot/%_iconsdir/hicolor/32x32/apps/%{name}.png
cp icons/hicolor/48x48/apps/%{name}.png %buildroot/%_iconsdir/hicolor/48x48/apps/%{name}.png
cp icons/hicolor/256x256/apps/%{name}.png %buildroot/%_iconsdir/hicolor/256x256/apps/%{name}.png
cp icons/hicolor/scalable/apps/%name.svg %buildroot/%_iconsdir/hicolor/scalable/apps/%name.svg


cp anydesk %buildroot/opt/%name/
chmod 0755  %buildroot/opt/%name/%name

cp anydesk.desktop %buildroot/%_desktopdir/anydesk.desktop
chmod 0644 %buildroot/%_desktopdir/anydesk.desktop


cp polkit-1/com.anydesk.anydesk.policy %buildroot/%_datadir/polkit-1/actions/com.anydesk.anydesk.policy
chmod +x %buildroot/%_datadir/polkit-1/actions/com.anydesk.anydesk.policy

cp systemd/anydesk.service %buildroot/%_unitdir/
chmod +r %buildroot/%_unitdir/%name.service

sed -i 's~ExecStart=/usr/bin/anydesk~ExecStart=/opt/anydesk/anydesk~' %buildroot/%_unitdir/%name.service
sed -i 's~Exec=/usr/bin/anydesk~Exec=/opt/anydesk/anydesk~' %buildroot/%_desktopdir/anydesk.desktop
sed -i '/TryExec=anydesk/d' %buildroot/%_desktopdir/anydesk.desktop


%files
%doc README copyright
%_desktopdir/anydesk.desktop
%_unitdir/%name.service
%_datadir/polkit-1/actions/com.anydesk.anydesk.policy
%_iconsdir/hicolor/*
/opt/%{name}/*

%post
%systemd_post %name.service

%preun
%systemd_preun %name.service

%postun
%systemd_postun_with_restart %name.service

%changelog

* Fri Mar 01 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 6.3.0-alt1
- Repack new version from official tgz

* Tue Nov 24 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 6.2.1-alt1
- Repack from binary tgz

* Mon Aug 15 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 6.2.0-alt1
- Repack from binary tgz

* Thu Jun 01 2021 Anton Shevtsov <x09@altlinux.org> 6.1.1-alt2
- Repack from binary tgz

* Mon Nov 09 2020 Anton Shevtsov <x09@altlinux.org> 6.0.1-alt4
- Initial build. Repack from binary tgz
- Remove SysV init file
